.menu {
  background: var(--secondaryBg);
  backdrop-filter: blur(23px);
  display: flex;
  color: var(--bg);
  position: fixed;
  z-index: 9;
  flex-direction: column;
  width: 270px;
  align-items: center;
  height: 100vh;
  transform: translateX(-150%);
  box-shadow: 3px 1px 7px grey;
}

.menu ul {
  display: flex;
  list-style: none;
  text-align: center;
  font-size: 1.3rem;
  font-weight: 700;
  flex-direction: column;
  width: 200px;
  align-items: center;
  justify-content: space-around;
}

.menu ul li {
  position: relative;
  cursor: pointer;
  width: max-content;
}

.menu ul li::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  background: transparent;
  width: 0%;
  height: 2.5px;
  transition: all 0.4s ease-in;
  border-radius: 4px;
}

.menu ul li:hover::before {
  width: 100%;
}

.imgUser {
  width: 100%;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.menu ul:first-child {
  width: 100%;
  height: 10%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.menu ul:first-child li {
  width: fit-content;
  margin-inline: auto;
  margin: 30px;

  & ::before {
    content: "";
    display: none;
  }
}

.menu ul:last-child {
  display: flex;
  justify-content: center;
  height: 90%;
  font-size: 1rem;
  gap: 20px;

  & a {
    width: 100%;
  }

  & > li,
  & > a > li {
    width: 100%;
    padding: 17px 0;
    transition: all 0.2s linear;
    font-weight: 900;
    background: var(--bg);
    border-radius: 5px;
    box-shadow: 1px 1px 7px grey;
  }

  & > li:hover,
  & > a > li:hover {
    background: var(--text);
    color: var(--bg);

    &::before {
      display: none;
    }

    & a {
      transition: inherit;
      color: inherit;
      font-weight: inherit;
    }
  }
}

.menuIcon {
  width: 35px;
  height: 30px;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 9;
  flex-direction: column;
  margin: 10px;
  gap: 5px;
}

.menuIcon div {
  width: 100%;
  height: 5px;
  background: var(--secondaryBg);
  border-radius: 2px;
  outline: 2px dotted var(--secondaryBg);
  outline-style: groove;
  box-shadow: 1px 1px 7px #c0c0c0;
}

.menuLI ol {
  position: absolute;
  list-style: none;
  left: 100%;
  transform: translateY(-95%);
  padding: 20px;

  & li {
    padding: 5px 0;
  }
}

.oMenu {
  display: none;
  width: 100%;
  height: 100%;
  padding: 20px;
  background: var(--bg);
  transform: scale(0);
  transform-origin: bottom left;
  border-radius: unset;
  box-shadow: inset 1px 1px 0px transparent;
  border: 5px solid var(--secondaryBg);
  border-radius: 0 10px 10px 0;
  transition:
    box-shadow 1s ease,
    scale 1s ease;
  /* outline: 5px solid var(--bg); */
}

.oMenu:hover {
  box-shadow: inset 1px 1px 7px grey;

  &:li {
    scale: 0.9;
  }
}

/* li:hover .menuLI {
  scale: 1;
} */

ol li:hover::before {
  background: var(--highlight);
}

li[more] {
  display: block;
}

ol li:hover {
  & a {
    color: var(--highlight) !important;
  }
}

.userDets {
  display: none;
}

input[username] {
  display: none;
}

.surname {
  background: var(--bg);
  color: var(--text);
  font-size: 0.65rem;
  font-weight: 900;
}

.email {
  font-size: 0.65rem;
  font-weight: 900;
}

#user {
  width: 50px;
  height: 50px;
  border-radius: 50px;
  outline: 3.5px solid transparent;
}

.report {
  width: 100%;
  position: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10;
  flex-direction: column;
  transform: translateY(-100%);
  pointer-events: none;

  & input[type="button"] {
    position: relative;
    width: 200px;
    height: 40px;
    border-radius: 0 0 20px 20px;
    border: 3.5px solid var(--highlight);
    background: var(--bg);
    transition: all 0.2s linear;
    pointer-events: all;
    font-weight: 900;
    box-shadow: 1px 1px 7px grey;

    &:hover {
      color: var(--bg);
      background: var(--secondaryBg);
      border-color: var(--bg);
    }
  }
}

.message {
  margin: 10px 0 5px 0;
  width: 200px;
  background: var(--bg);
  position: relative;
  isolation: isolate;
  border: 3.5px solid var(--highlight);
  padding: 5px;
  min-height: 70px;
  border-radius: 20px 20px 0 0;
  text-transform: capitalize;
  font-weight: 700;
  pointer-events: all;
  display: flex;
  flex-direction: column;
  justify-content: center;
  box-shadow: 1px 1px 7px grey;

  & p {
    line-height: 15px;
    padding: 10px;
    display: flex;
    width: 100%;
    color: var(--text);
    font-size: 0.9rem;
    font-weight: inherit;
  }

  & h1 {
    width: 100%;
    align-self: flex-end;
    padding: 0 0 0 10px;
    font-size: 1rem;
    color: var(--text);
  }
}

.profile {
  width: 300px;
  height: 100%;
  position: fixed;
  z-index: 9;
  right: 0;
  background: var(--bg);
  transform: translateX(100%);
}

.imagePF {
  width: 100%;
  height: 160px;
  display: grid;
  place-items: center;
  box-sizing: unset;
}

.imagePF img {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  object-fit: cover;
}

.USRdetails {
  box-sizing: unset;
  padding: 5px 15px;
  background: linear-gradient(45deg, orangered, greenyellow);
  background-clip: text;

  & fieldset {
    border: 2.5px solid var(--highlight);
    border-radius: 10px;
    padding: 10px;
    margin: 0 20px;

    & small p {
      font-size: 0.85rem;
      color: transparent;
      text-indent: 50px;
    }
  }

  & h3 {
    font-size: 0.8rem;
  }

  & h3 pre {
    font-size: 1.2rem;
    text-transform: uppercase;
    color: var(--text);
  }
}

.USRname {
  display: inlines;
  margin: 0 10px !important;
  font-size: 0.9rem;
  color: var(--text);
  width: fit-content;
  padding: 5px 10px;
  position: relative;
  background: var(--secondaryBg);
  border-radius: 20px;
  position: relative;
}

@property --angle {
  syntax: "<angle>";
  inherits: false;
  initial-value: 0deg;
}

.USRname::before,
.USRname::after {
  border-radius: inherit;
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  z-index: -1;
  top: -1.5px;
  padding: 1.5px;
  left: -1.5px;
  background: conic-gradient(from var(--angle), blue, indigo, rgb(255, 0, 247));
  animation: rotateC 1s ease infinite;
}

.USRname::after {
  filter: blur(7px);
}

@keyframes rotateC {
  to {
    --angle: 360deg;
  }
}

@media (width<650px) {
  .menuLI {
    transform-origin: center bottom;
  }

  .menuLI ol {
    left: 0;
    top: -50px;
  }
}

.theme {
  width: 200px;
  background: var(--bg);
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  position: absolute;
  margin: 0 10px;
  outline: 2.5px solid var(--secondaryBg);
  border-radius: 10px;
  transform: translate(-150%, 120%);
  box-shadow: 1px 1px 7px #111;
  z-index: 7;
}

.colors {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px;

  & small {
    position: absolute;
    color: var(--secondaryBg);
    left: 0;
    top: 0;
    margin: 1px 7px;
  }
}

.editMenu {
  position: absolute;
  left: 0;
  margin: 5px;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  background: var(--bg);
  scale: 0.9;
  outline: 2.5px solid var(--text);
  box-shadow: 1px 1px 7px grey;
  transition: all 0.3s linear;

  &:hover {
    background: var(--secondaryBg);
    outline-color: var(--bg);
    color: var(--bg);

    & svg {
      stroke: var(--bg);
      transition: inherit;
    }
  }
}

.themeValue {
  width: 49px;
  padding: 5px 0px;
  font-size: 0.7rem;
  font-weight: 900;
  color: var(--secondaryBg);
  margin: 0 5px;
  border-radius: 10px;
  box-shadow: inset 1px 1px 7px #c0c0c0c0;
  text-shadow: 1px 1px 7px #c0c0c0c0;
  border: 2.5px solid var(--secondaryBg);
  text-align: center;
}
#auth{
    padding: 10px;
    background-color:var(--bg);
    font-size: 1.5rem;
}
